put
https://yourServer.jamfcloud.com/JSSResource/computergroups/id/
One or more computers can be added by using "computer_additions" instead of "computers". One or more computers can be deleted by using "computer_deletions" instead of "computers"
Jamf Pro API equivalent available:PUT /api/v2/computer-groups/smart-groups/{id}. The Jamf Pro API offers full parity for this resource. We recommend using the Jamf Pro API for new integrations.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request Bodies
This endpoint supports additional XML request bodies that act similar to the HTTP PATCH method, allowing for the addition and deletion of individual devices from an existing static group. Notice that multiple device identifier types are listed for each device, however only one is required. Use of the name element is not recommended for identifying devices as there are no requirements for unique names and the API will perform the action on the first record it encounters a matching identify for.
<computer_group>
<computer_additions>
<computer>
<id>1</id>
<name>string</name>
<mac_address>string</mac_address>
<alt_mac_address>string</alt_mac_address>
<serial_number>string</serial_number>
</computer>
<computer>
<id>2</id>
<name>string2</name>
<mac_address>string2</mac_address>
<alt_mac_address>string2</alt_mac_address>
<serial_number>string2</serial_number>
</computer>
</computer_additions>
</computer_group><computer_group>
<computer_deletions>
<computer>
<id>1</id>
<name>string</name>
<mac_address>string</mac_address>
<alt_mac_address>string</alt_mac_address>
<serial_number>string</serial_number>
</computer>
<computer>
<id>2</id>
<name>string2</name>
<mac_address>string2</mac_address>
<alt_mac_address>string2</alt_mac_address>
<serial_number>string2</serial_number>
</computer>
</computer_deletions>
</computer_group><computer_group>
<name>Group Name</name>
<is_smart>true</is_smart>
<site>
<id>-1</id>
<name>None</name>
</site>
<criteria>
<criterion>
<name>Last Inventory Update</name>
<priority>0</priority>
<and_or>and</and_or>
<search_type>more than x days ago</search_type>
<value>7</value>
<opening_paren>false</opening_paren>
<closing_paren>false</closing_paren>
</criterion>
</criteria>
</computer_group> 201Created